<?php
/**
 * Home Page Options.
 *
 * @package Mirza Blog
 */

$default = mirza_blog_get_default_theme_options();

// Add Panel.
$wp_customize->add_panel( 'home_page_panel',
	array(
	'title'      => __( 'Front Page Sections', 'mirza-blog' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	)
);

/**
* Section Customizer Options.
*/

require get_template_directory() . '/inc/customizer/home-sections/slider.php';
require get_template_directory() . '/inc/customizer/home-sections/about-author.php';
require get_template_directory() . '/inc/customizer/home-sections/blog.php';